#include <bits/stdc++.h>
using namespace std;
ifstream f1("BAI2_17.inp");
ofstream f2("BAI2_17.out");
long long m,n,k,i,j,dem=0;
int main()
{
    f1>>k>>m>>n;
    for(i=1;i*k<=n;i++){
        dem++;
    }
    for(j=1;j*m<=n;j++){
        if(j*m%k!=0){
            dem++;
        }
    }
    f2<<dem;
    f1.close();
    f2.close();
}
